import type { IEnvironmentAdaptor } from '@looker/extension-utils';
import { BrowserAdaptor } from '@looker/extension-utils';
import type { IAPIMethods } from '@looker/sdk-rtl';
import type { SpecItem, SpecList } from '@looker/sdk-codegen';
export interface IApixAdaptor extends IEnvironmentAdaptor {
    fetchSpecList(versionsUrl?: string): Promise<SpecList>;
    fetchSpec(spec: SpecItem): Promise<SpecItem>;
}
export declare const getApixAdaptor: () => IApixAdaptor;
export declare class ApixAdaptor extends BrowserAdaptor implements IApixAdaptor {
    private readonly fallbackVersionsUrl;
    constructor(sdk: IAPIMethods, fallbackVersionsUrl: string);
    fetchSpecList(versionsUrl?: string): Promise<SpecList>;
    fetchSpec(spec: SpecItem): Promise<SpecItem>;
}
